> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive multiple documents



## OpenAPI

````yaml patch /v1/documents/bulk-archive
openapi: 3.0.0
info:
  title: Document APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/document
  - url: https://staging.api.eu.aptlydone.com/document
  - url: https://api.us.aptlydone.com/document
  - url: https://api.eu.aptlydone.com/document
security: []
tags: []
paths:
  /v1/documents/bulk-archive:
    patch:
      tags:
        - documents
      summary: Archive multiple documents
      operationId: DocumentController_bulkArchiveDecisions_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentBulkActionDto'
      responses:
        '200':
          description: Document archived successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentBulkUpdateResponseDto'
      security:
        - accessToken: []
components:
  schemas:
    DocumentBulkActionDto:
      type: object
      properties:
        tenantId:
          type: string
          description: Tenant ID
          example: 105fa115-52d0-4466-baff-740447a60774
        documentIds:
          minItems: 1
          description: Selected Document ids for the bulk action
          example:
            - 7df90da4-0634-40b9-abf5-6e97a222cfb8
            - 5378637c-0098-457f-94a4-1cc983593f13
          type: array
          items:
            type: string
      required:
        - tenantId
        - documentIds
    DocumentBulkUpdateResponseDto:
      type: object
      properties:
        updateCount:
          type: number
          example: 5
          description: Count of updated documents
      required:
        - updateCount
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````